diff --git a/debian.azure/config/annotations b/debian.azure/config/annotations
index d99435e..cdd96bf 100644
--- a/debian.azure/config/annotations
+++ b/debian.azure/config/annotations
@@ -3640,9 +3640,9 @@ CONFIG_MFD_ATMEL_FLEXCOM                        policy<{'arm64': 'm', 'armhf': '
 CONFIG_MFD_ATMEL_HLCDC                          policy<{'arm64': 'm', 'armhf': 'm', 'powerpc': 'm', 'ppc64el': 'm'}>
 CONFIG_MFD_BCM590XX                             policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc': 'm', 'ppc64el': 'm'}>
 CONFIG_MFD_AXP20X_I2C                           policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'powerpc': 'm', 'ppc64el': 'm'}>
-CONFIG_MFD_CROS_EC                              policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
-CONFIG_MFD_CROS_EC_I2C                          policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
-CONFIG_MFD_CROS_EC_SPI                          policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
+CONFIG_MFD_CROS_EC                              policy<{'amd64': '-', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
+CONFIG_MFD_CROS_EC_I2C                          policy<{'amd64': '-', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
+CONFIG_MFD_CROS_EC_SPI                          policy<{'amd64': '-', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
 CONFIG_MFD_ASIC3                                policy<{'armhf': 'y'}>
 CONFIG_PMIC_DA903X                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'powerpc': 'y', 'ppc64el': 'y'}>
 CONFIG_MFD_DA9052_SPI                           policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'powerpc': 'y', 'ppc64el': 'y'}>
@@ -5583,7 +5583,7 @@ CONFIG_PINCTRL_UNIPHIER_LD11                    policy<{'armhf': 'm'}>
 CONFIG_PINCTRL_UNIPHIER_LD20                    policy<{'armhf': 'm'}>
 
 # Menu: Device Drivers >> Platform support for Chrome hardware
-CONFIG_CHROME_PLATFORMS                         policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y'}>
+CONFIG_CHROME_PLATFORMS                         policy<{'amd64': '-', 'arm64': 'y', 'armhf': 'y', 'i386': 'y'}>
 CONFIG_CHROMEOS_LAPTOP                          policy<{'amd64': 'm', 'i386': 'm'}>
 CONFIG_CHROMEOS_PSTORE                          policy<{'amd64': 'm', 'i386': 'm'}>
 CONFIG_CROS_EC_CHARDEV                          policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm'}>
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 8137498..3a4dee4 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -789,9 +789,7 @@ CONFIG_CHELSIO_T4=m
 CONFIG_CHELSIO_T4VF=m
 CONFIG_CHELSIO_T4_DCB=y
 CONFIG_CHELSIO_T4_FCOE=y
-# CONFIG_CHROMEOS_LAPTOP is not set
-# CONFIG_CHROMEOS_PSTORE is not set
-CONFIG_CHROME_PLATFORMS=y
+# CONFIG_CHROME_PLATFORMS is not set
 CONFIG_CHR_DEV_OSST=m
 CONFIG_CHR_DEV_SCH=m
 CONFIG_CHR_DEV_SG=y
@@ -921,10 +919,6 @@ CONFIG_CRC_ITU_T=m
 CONFIG_CRC_T10DIF=y
 CONFIG_CROSS_COMPILE=""
 CONFIG_CROSS_MEMORY_ATTACH=y
-CONFIG_CROS_EC_CHARDEV=m
-CONFIG_CROS_EC_LPC=m
-CONFIG_CROS_EC_PROTO=y
-CONFIG_CROS_KBD_LED_BACKLIGHT=m
 CONFIG_CRYPTO=y
 CONFIG_CRYPTO_842=m
 CONFIG_CRYPTO_ABLK_HELPER=m
@@ -2124,7 +2118,6 @@ CONFIG_I2C_BOARDINFO=y
 CONFIG_I2C_CBUS_GPIO=m
 CONFIG_I2C_CHARDEV=y
 CONFIG_I2C_COMPAT=y
-CONFIG_I2C_CROS_EC_TUNNEL=m
 # CONFIG_I2C_DEBUG_ALGO is not set
 # CONFIG_I2C_DEBUG_BUS is not set
 # CONFIG_I2C_DEBUG_CORE is not set
@@ -2217,8 +2210,6 @@ CONFIG_IIO_BUFFER=y
 CONFIG_IIO_BUFFER_CB=m
 CONFIG_IIO_CONFIGFS=m
 CONFIG_IIO_CONSUMERS_PER_TRIGGER=2
-CONFIG_IIO_CROS_EC_SENSORS=m
-CONFIG_IIO_CROS_EC_SENSORS_CORE=m
 CONFIG_IIO_HRTIMER_TRIGGER=m
 CONFIG_IIO_INTERRUPT_TRIGGER=m
 CONFIG_IIO_KFIFO_BUF=m
@@ -2714,7 +2705,6 @@ CONFIG_KEYBOARD_ADP5520=m
 CONFIG_KEYBOARD_ADP5588=m
 CONFIG_KEYBOARD_ADP5589=m
 CONFIG_KEYBOARD_ATKBD=y
-CONFIG_KEYBOARD_CROS_EC=m
 CONFIG_KEYBOARD_GPIO=m
 CONFIG_KEYBOARD_GPIO_POLLED=m
 CONFIG_KEYBOARD_LKKBD=m
@@ -3033,9 +3023,7 @@ CONFIG_MFD_AXP20X=m
 CONFIG_MFD_AXP20X_I2C=m
 CONFIG_MFD_BCM590XX=m
 CONFIG_MFD_CORE=y
-CONFIG_MFD_CROS_EC=m
-CONFIG_MFD_CROS_EC_I2C=m
-CONFIG_MFD_CROS_EC_SPI=m
+# CONFIG_MFD_CROS_EC is not set
 CONFIG_MFD_CS47L24=y
 CONFIG_MFD_DA9052_I2C=y
 CONFIG_MFD_DA9052_SPI=y
@@ -4114,7 +4102,6 @@ CONFIG_PUNIT_ATOM_DEBUG=m
 CONFIG_PVPANIC=m
 CONFIG_PWM=y
 CONFIG_PWM_CRC=y
-CONFIG_PWM_CROS_EC=m
 CONFIG_PWM_LP3943=m
 CONFIG_PWM_LPSS=m
 CONFIG_PWM_LPSS_PCI=m