diff --git a/debian.azure/config/annotations b/debian.azure/config/annotations
index 1722a0f0b575..d1c9f4c94018 100644
--- a/debian.azure/config/annotations
+++ b/debian.azure/config/annotations
@@ -8335,7 +8335,7 @@ CONFIG_FW_CFG_SYSFS_CMDLINE                     policy<{'amd64': 'n', 'arm64': '
 CONFIG_GOOGLE_FIRMWARE                          policy<{'amd64': 'n', 'i386': 'n'}>
 
 # Menu: Firmware Drivers >> EFI (Extensible Firmware Interface) Support
-CONFIG_EFI_VARS                                 policy<{'amd64': '-', 'arm64': 'y', 'i386': 'y'}>
+CONFIG_EFI_VARS                                 policy<{'amd64': 'y', 'arm64': 'y', 'i386': 'y'}>
 CONFIG_EFI_VARS_PSTORE                          policy<{'amd64': 'm', 'arm64': 'm', 'i386': 'm'}>
 CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE          policy<{'amd64': 'n', 'arm64': 'n', 'i386': 'n'}>
 CONFIG_EFI_RUNTIME_MAP                          policy<{'amd64': 'y', 'i386': 'y'}>
@@ -8345,7 +8345,7 @@ CONFIG_EFI_CAPSULE_LOADER                       policy<{'amd64': 'm', 'arm64': '
 CONFIG_EFI_TEST                                 policy<{'amd64': 'm', 'arm64': 'm', 'i386': 'm'}>
 CONFIG_APPLE_PROPERTIES                         policy<{'amd64': 'y', 'i386': 'y'}>
 #
-CONFIG_EFI_VARS                                 mark<ENFORCED> note<EFI boot requirement (d-i) LP:#837332> note<until gen2 azure doesn't use this>
+CONFIG_EFI_VARS                                 mark<ENFORCED> note<EFI boot requirement (d-i) LP:#837332>
 
 # Menu: Firmware Drivers >> Google Firmware Drivers
 
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 2b70297c3442..cefd79787b5e 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -51,6 +51,7 @@ CONFIG_ACPI_APEI=y
 CONFIG_ACPI_APEI_MEMORY_FAILURE=y
 CONFIG_ACPI_APEI_PCIEAER=y
 # CONFIG_ACPI_BATTERY is not set
+# CONFIG_ACPI_BGRT is not set
 CONFIG_ACPI_BUTTON=y
 # CONFIG_ACPI_CMPC is not set
 # CONFIG_ACPI_CONFIGFS is not set
@@ -227,6 +228,7 @@ CONFIG_APDS9300=m
 CONFIG_APDS9802ALS=m
 CONFIG_APDS9960=m
 # CONFIG_APPLE_GMUX is not set
+CONFIG_APPLE_PROPERTIES=y
 CONFIG_APPLICOM=m
 CONFIG_AQUANTIA_PHY=m
 CONFIG_ARCH_CLOCKSOURCE_DATA=y
@@ -1287,6 +1289,7 @@ CONFIG_E1000E=m
 CONFIG_E1000E_HWTS=y
 CONFIG_EARLY_PRINTK=y
 CONFIG_EARLY_PRINTK_DBGP=y
+CONFIG_EARLY_PRINTK_EFI=y
 CONFIG_EBC_C384_WDT=m
 CONFIG_ECHO=m
 CONFIG_ECRYPT_FS=y
@@ -1322,9 +1325,25 @@ CONFIG_EEPROM_AT24=m
 CONFIG_EEPROM_AT25=m
 CONFIG_EEPROM_LEGACY=m
 CONFIG_EEPROM_MAX6875=m
-# CONFIG_EFI is not set
-# CONFIG_EFI_DEV_PATH_PARSER is not set
+CONFIG_EFI=y
+CONFIG_EFIVAR_FS=y
+CONFIG_EFI_BOOTLOADER_CONTROL=m
+CONFIG_EFI_CAPSULE_LOADER=m
+CONFIG_EFI_DEV_PATH_PARSER=y
+CONFIG_EFI_ESRT=y
+# CONFIG_EFI_FAKE_MEMMAP is not set
+CONFIG_EFI_MIXED=y
 CONFIG_EFI_PARTITION=y
+# CONFIG_EFI_PGT_DUMP is not set
+CONFIG_EFI_RUNTIME_MAP=y
+CONFIG_EFI_RUNTIME_WRAPPERS=y
+CONFIG_EFI_SECURE_BOOT_SIG_ENFORCE=y
+CONFIG_EFI_SIGNATURE_LIST_PARSER=y
+CONFIG_EFI_STUB=y
+CONFIG_EFI_TEST=m
+CONFIG_EFI_VARS=y
+CONFIG_EFI_VARS_PSTORE=m
+# CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE is not set
 CONFIG_EFS_FS=m
 CONFIG_ELFCORE=y
 CONFIG_ELF_CORE=y
@@ -1420,6 +1439,7 @@ CONFIG_FB_CMDLINE=y
 # CONFIG_FB_CYBER2000 is not set
 CONFIG_FB_DDC=m
 CONFIG_FB_DEFERRED_IO=y
+# CONFIG_FB_EFI is not set
 CONFIG_FB_FLEX=m
 # CONFIG_FB_FOREIGN_ENDIAN is not set
 # CONFIG_FB_HGA is not set
@@ -2950,6 +2970,7 @@ CONFIG_MODULE_SIG_KEY="certs/signing_key.pem"
 # CONFIG_MODULE_SIG_SHA256 is not set
 # CONFIG_MODULE_SIG_SHA384 is not set
 CONFIG_MODULE_SIG_SHA512=y
+CONFIG_MODULE_SIG_UEFI=y
 CONFIG_MODULE_SRCVERSION_ALL=y
 CONFIG_MODULE_UNLOAD=y
 # CONFIG_MODVERSIONS is not set
@@ -4954,6 +4975,7 @@ CONFIG_TWL4030_WATCHDOG=m
 CONFIG_TWL6030_GPADC=m
 CONFIG_TWL6040_CORE=y
 # CONFIG_UBSAN is not set
+CONFIG_UCS2_STRING=y
 CONFIG_UDF_FS=m
 CONFIG_UDF_NLS=y
 CONFIG_UEFI_CPER=y
@@ -5165,6 +5187,7 @@ CONFIG_X86_SUPPORTS_MEMORY_FAILURE=y
 # CONFIG_X86_SYSFB is not set
 CONFIG_X86_THERMAL_VECTOR=y
 CONFIG_X86_TSC=y
+# CONFIG_X86_UV is not set
 # CONFIG_X86_VERBOSE_BOOTUP is not set
 # CONFIG_X86_VSMP is not set
 CONFIG_X86_VSYSCALL_EMULATION=y