diff --git a/debian.azure/config/annotations b/debian.azure/config/annotations
index 92f7ab7692cf..33994e1f8e96 100644
--- a/debian.azure/config/annotations
+++ b/debian.azure/config/annotations
@@ -8626,15 +8626,23 @@ CONFIG_BLK_SED_OPAL                             policy<{'amd64': 'y', 'arm64': '
 CONFIG_BLK_DEV_THROTTLING                       note<CGROUP disk consumption control>
 
 # Menu: Enable the block layer >> IO Schedulers
-CONFIG_IOSCHED_DEADLINE                         policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-CONFIG_IOSCHED_CFQ                              policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-CONFIG_CFQ_GROUP_IOSCHED                        policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-CONFIG_MQ_IOSCHED_DEADLINE                      policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
-CONFIG_MQ_IOSCHED_KYBER                         policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
-CONFIG_IOSCHED_BFQ                              policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
-CONFIG_BFQ_GROUP_IOSCHED                        policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-#
-CONFIG_MQ_IOSCHED_DEADLINE                      flag<REVIEW>
+CONFIG_IOSCHED_NOOP                             policy<{'amd64': 'y'}>
+CONFIG_IOSCHED_DEADLINE                         policy<{'amd64': 'm'}>
+CONFIG_IOSCHED_CFQ                              policy<{'amd64': 'm'}>
+CONFIG_CFQ_GROUP_IOSCHED                        policy<{'amd64': 'y'}>
+CONFIG_MQ_IOSCHED_DEADLINE                      policy<{'amd64': 'm'}>
+CONFIG_MQ_IOSCHED_KYBER                         policy<{'amd64': 'm'}>
+CONFIG_IOSCHED_BFQ                              policy<{'amd64': 'm'}>
+CONFIG_BFQ_GROUP_IOSCHED                        policy<{'amd64': 'y'}>
+#
+CONFIG_IOSCHED_NOOP                             mark<ENFORCED> note<LP#1813211>
+CONFIG_IOSCHED_DEADLINE                         mark<ENFORCED> note<LP#1813211>
+CONFIG_IOSCHED_CFQ                              mark<ENFORCED> note<LP#1813211>
+CONFIG_CFQ_GROUP_IOSCHED                        mark<ENFORCED> note<LP#1813211>
+CONFIG_MQ_IOSCHED_DEADLINE                      mark<ENFORCED> note<LP#1813211>
+CONFIG_MQ_IOSCHED_KYBER                         mark<ENFORCED> note<LP#1813211>
+CONFIG_IOSCHED_BFQ                              mark<ENFORCED> note<LP#1813211>
+CONFIG_BFQ_GROUP_IOSCHED                        mark<ENFORCED> note<LP#1813211>
 
 # Menu: Enable the block layer >> IO Schedulers >> Default I/O scheduler
 CONFIG_DEFAULT_DEADLINE                         policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index d79c40804f8f..693104d3fe99 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -599,6 +599,7 @@ CONFIG_CFG80211_DEFAULT_PS=y
 CONFIG_CFG80211_REQUIRE_SIGNED_REGDB=y
 CONFIG_CFG80211_USE_KERNEL_REGDB_KEYS=y
 CONFIG_CFG80211_WEXT=y
+CONFIG_CFQ_GROUP_IOSCHED=y
 CONFIG_CFS_BANDWIDTH=y
 CONFIG_CGROUPS=y
 CONFIG_CGROUP_BPF=y
@@ -2104,8 +2105,8 @@ CONFIG_IOMMU_HELPER=y
 CONFIG_IOMMU_IOVA=y
 CONFIG_IOMMU_SUPPORT=y
 CONFIG_IOSCHED_BFQ=m
-# CONFIG_IOSCHED_CFQ is not set
-# CONFIG_IOSCHED_DEADLINE is not set
+CONFIG_IOSCHED_CFQ=m
+CONFIG_IOSCHED_DEADLINE=m
 CONFIG_IOSCHED_NOOP=y
 CONFIG_IOSF_MBI=y
 CONFIG_IOSF_MBI_DEBUG=y
diff --git a/debian.azure/control.d/azure.inclusion-list b/debian.azure/control.d/azure.inclusion-list
index 35cceb750cd9..bdce9eff42e1 100644
--- a/debian.azure/control.d/azure.inclusion-list
+++ b/debian.azure/control.d/azure.inclusion-list
@@ -7,6 +7,11 @@ arch/powerpc/platforms/powernv/opal-prd.ko
 arch/s390/*
 arch/x86/kvm/kvm-amd.ko
 arch/x86/kvm/kvm-intel.ko
+block/bfq.ko
+block/cfq-iosched.ko
+block/deadline-iosched.ko
+block/kyber-iosched.ko
+block/mq-deadline.ko
 crypto/*
 drivers/acpi/*
 drivers/ata/acard-ahci.ko