diff --git a/debian.azure/config/annotations b/debian.azure/config/annotations
index 3c8c16421f5e..2a5a46b22adf 100644
--- a/debian.azure/config/annotations
+++ b/debian.azure/config/annotations
@@ -4,11 +4,23 @@
 
 include "../../debian.master/config/annotations"
 
-CONFIG_MLX4_INFINIBAND                             policy<{'amd64': 'y'}>
-CONFIG_MLX4_INFINIBAND                             mark<ENFORCED> note<LP:#1759656>
+CONFIG_MLX5_CORE                                   policy<{'amd64': 'm'}>
+CONFIG_MLX5_CORE                                   mark<ENFORCED> note<LP:#1837397>
 
-CONFIG_MLX5_INFINIBAND                             policy<{'amd64': 'y'}>
-CONFIG_MLX5_INFINIBAND                             mark<ENFORCED> note<LP:#1759656>
+CONFIG_MLX4_CORE                                   policy<{'amd64': 'm'}>
+CONFIG_MLX4_CORE                                   mark<ENFORCED> note<LP:#1837397>
+
+CONFIG_MLX4_INFINIBAND                             policy<{'amd64': 'm'}>
+CONFIG_MLX4_INFINIBAND                             mark<ENFORCED> note<LP:#1837397>
+
+CONFIG_MLX5_INFINIBAND                             policy<{'amd64': 'm'}>
+CONFIG_MLX5_INFINIBAND                             mark<ENFORCED> note<LP:#1837397>
+
+CONFIG_INFINIBAND_USER_MAD                         policy<{'amd64': 'm'}>
+CONFIG_INFINIBAND_USER_MAD                         mark<ENFORCED> note<LP:#1837397>
+
+CONFIG_INFINIBAND_IPOIB                            policy<{'amd64': 'm'}>
+CONFIG_INFINIBAND_IPOIB                            mark<ENFORCED> note<LP:#1837397>
 
 CONFIG_BLK_DEV_NVME                                policy<{'amd64': 'y'}>
 CONFIG_BLK_DEV_NVME                                mark<ENFORCED> note<LP:#1793386>
@@ -19,12 +31,6 @@ CONFIG_EDAC_DECODE_MCE                             mark<ENFORCED> note<LP:#17933
 CONFIG_EDAC_AMD64                                  policy<{'amd64': 'm'}>
 CONFIG_EDAC_AMD64                                  mark<ENFORCED> note<LP:#1793386>
 
-CONFIG_INFINIBAND_USER_MAD                         policy<{'amd64': 'y'}>
-CONFIG_INFINIBAND_USER_MAD                         note<LP:#1818141> note<LP:#1798185> mark<ENFORCED>
-
-CONFIG_INFINIBAND_IPOIB                            policy<{'amd64': 'y'}>
-CONFIG_INFINIBAND_IPOIB                            note<LP:#1818141> note<LP:#1798185> mark<ENFORCED>
-
 CONFIG_INFINIBAND_IPOIB_DEBUG                      policy<{'amd64': 'y'}>
 CONFIG_INFINIBAND_IPOIB_DEBUG                      note<LP:#1818141> note<LP:#1798185> mark<ENFORCED>
 
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 1622200d7fe6..36141db19908 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -2038,7 +2038,7 @@ CONFIG_INET_XFRM_MODE_BEET=m
 CONFIG_INET_XFRM_MODE_TRANSPORT=m
 CONFIG_INET_XFRM_MODE_TUNNEL=m
 CONFIG_INET_XFRM_TUNNEL=m
-CONFIG_INFINIBAND=y
+CONFIG_INFINIBAND=m
 CONFIG_INFINIBAND_ADDR_TRANS=y
 CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=y
 # CONFIG_INFINIBAND_BNXT_RE is not set
@@ -2046,7 +2046,7 @@ CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=y
 # CONFIG_INFINIBAND_CXGB4 is not set
 # CONFIG_INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI is not set
 # CONFIG_INFINIBAND_I40IW is not set
-CONFIG_INFINIBAND_IPOIB=y
+CONFIG_INFINIBAND_IPOIB=m
 # CONFIG_INFINIBAND_IPOIB_CM is not set
 CONFIG_INFINIBAND_IPOIB_DEBUG=y
 # CONFIG_INFINIBAND_IPOIB_DEBUG_DATA is not set
@@ -2062,8 +2062,8 @@ CONFIG_INFINIBAND_OPA_VNIC=m
 # CONFIG_INFINIBAND_RDMAVT is not set
 CONFIG_INFINIBAND_SRP=m
 # CONFIG_INFINIBAND_SRPT is not set
-CONFIG_INFINIBAND_USER_ACCESS=y
-CONFIG_INFINIBAND_USER_MAD=y
+CONFIG_INFINIBAND_USER_ACCESS=m
+CONFIG_INFINIBAND_USER_MAD=m
 CONFIG_INFINIBAND_USER_MEM=y
 CONFIG_INFINIBAND_USNIC=m
 CONFIG_INITRAMFS_SOURCE=""
@@ -2756,23 +2756,24 @@ CONFIG_MISC_RTSX=m
 CONFIG_MISC_RTSX_PCI=m
 # CONFIG_MK8 is not set
 # CONFIG_MKISS is not set
-CONFIG_MLX4_CORE=y
+CONFIG_MLX4_CORE=m
 CONFIG_MLX4_CORE_GEN2=y
 CONFIG_MLX4_DEBUG=y
 CONFIG_MLX4_EN=m
 CONFIG_MLX4_EN_DCB=y
-CONFIG_MLX4_INFINIBAND=y
+CONFIG_MLX4_INFINIBAND=m
 CONFIG_MLX5_ACCEL=y
-CONFIG_MLX5_CORE=y
+CONFIG_MLX5_CORE=m
 CONFIG_MLX5_CORE_EN=y
 CONFIG_MLX5_CORE_EN_DCB=y
 CONFIG_MLX5_CORE_IPOIB=y
 CONFIG_MLX5_EN_ARFS=y
 CONFIG_MLX5_EN_IPSEC=y
 CONFIG_MLX5_EN_RXNFC=y
+CONFIG_MLX5_EN_TLS=y
 CONFIG_MLX5_ESWITCH=y
 CONFIG_MLX5_FPGA=y
-CONFIG_MLX5_INFINIBAND=y
+CONFIG_MLX5_INFINIBAND=m
 CONFIG_MLX5_MPFS=y
 CONFIG_MLXFW=m
 CONFIG_MLXREG_HOTPLUG=m
diff --git a/debian.azure/control.d/azure.inclusion-list b/debian.azure/control.d/azure.inclusion-list
index cb0569fccd6c..693e58e66f8e 100644
--- a/debian.azure/control.d/azure.inclusion-list
+++ b/debian.azure/control.d/azure.inclusion-list
@@ -61,10 +61,14 @@ drivers/infiniband/core/ib_cm.ko
 drivers/infiniband/core/ib_core.ko
 drivers/infiniband/core/ib_mad.ko
 drivers/infiniband/core/ib_sa.ko
+drivers/infiniband/core/ib_umad.ko
 drivers/infiniband/core/iw_cm.ko
 drivers/infiniband/core/rdma_cm.ko
 drivers/infiniband/core/rdma_ucm.ko
+drivers/infiniband/hw/mlx4/*
+drivers/infiniband/hw/mlx5/*
 drivers/infiniband/hw/vmbus-rdma/*
+drivers/infiniband/ulp/ipoib/ib_ipoib.ko
 drivers/infiniband/ulp/iser/ib_iser.ko
 drivers/infiniband/ulp/isert/ib_isert.ko
 drivers/input/evbug.ko