diff --git a/debian.azure/config/annotations b/debian.azure/config/annotations
index ee9dfd0d100e..ff312df9b638 100644
--- a/debian.azure/config/annotations
+++ b/debian.azure/config/annotations
@@ -1,7 +1,7 @@
 # Menu: HEADER
 # FORMAT: 4
 # ARCH: amd64 arm64
-# FLAVOUR: amd64-azure arm64-azure
+# FLAVOUR: amd64-azure arm64-azure arm64-azure-64k
 
 include "../../debian.master/config/annotations"
 
@@ -14,6 +14,12 @@ CONFIG_ACPI_HOTPLUG_MEMORY                      note<'LP:#1671203'>
 CONFIG_ACPI_NFIT                                policy<{'amd64': 'y', 'arm64': 'y'}>
 CONFIG_ACPI_NFIT                                note<'LP:#1715755'>
 
+CONFIG_ARCH_MMAP_RND_BITS                       policy<{'amd64': '32', 'arm64': '33', 'arm64-azure-64k': '29'}>
+CONFIG_ARCH_MMAP_RND_BITS                       note<TODO: update note>
+
+CONFIG_ARM64_64K_PAGES                          policy<{'arm64': 'n', 'arm64-azure-64k': 'y'}>
+CONFIG_ARM64_64K_PAGES                          note<'LP: #2077991'>
+
 CONFIG_ATARI_PARTITION                          policy<{'amd64': 'n', 'arm64': 'n'}>
 CONFIG_ATARI_PARTITION                          note<'LP:1908264'>
 
@@ -104,12 +110,12 @@ CONFIG_IWLMEI                                   note<'LP: #1987312'>
 CONFIG_KERNEL_ZSTD                              policy<{'amd64': 'y', 'arm64': 'n'}>
 CONFIG_KERNEL_ZSTD                              note<'LP: #1931725'>
 
-CONFIG_MICROSOFT_MANA                           policy<{'amd64': 'y', 'arm64': 'y'}>
-CONFIG_MICROSOFT_MANA                           note<'LP:1949357, LP:2066982'>
-
 CONFIG_MANA_INFINIBAND                          policy<{'amd64': 'm', 'arm64': 'm'}>
 CONFIG_MANA_INFINIBAND                          note<'LP: #2024917, LP:2066982'>
 
+CONFIG_MICROSOFT_MANA                           policy<{'amd64': 'y', 'arm64': 'y'}>
+CONFIG_MICROSOFT_MANA                           note<'LP:1949357, LP:2066982'>
+
 CONFIG_MMC_BLOCK                                policy<{'amd64': '-', 'arm64': 'y'}>
 CONFIG_MMC_BLOCK                                note<'boot essential on armhf/arm64'>
 
@@ -568,7 +574,20 @@ CONFIG_ARCH_INLINE_WRITE_UNLOCK                 policy<{'arm64': 'y'}>
 CONFIG_ARCH_INLINE_WRITE_UNLOCK_BH              policy<{'arm64': 'y'}>
 CONFIG_ARCH_INLINE_WRITE_UNLOCK_IRQ             policy<{'arm64': 'y'}>
 CONFIG_ARCH_INLINE_WRITE_UNLOCK_IRQRESTORE      policy<{'arm64': 'y'}>
+CONFIG_ARCH_MMAP_RND_BITS_MAX                   policy<{'amd64': '32', 'arm64': '33', 'arm64-azure-64k': '29'}>
+CONFIG_ARCH_MMAP_RND_BITS_MIN                   policy<{'amd64': '28', 'arm64': '18', 'arm64-azure-64k': '14'}>
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MIN            policy<{'amd64': '8', 'arm64': '11', 'arm64-azure-64k': '7'}>
 CONFIG_ARCH_NR_GPIO                             policy<{'amd64': '-', 'arm64': '-'}>
+CONFIG_ARCH_WANTS_THP_SWAP                      policy<{'amd64': 'y', 'arm64': 'y', 'arm64-azure-64k': '-'}>
+CONFIG_ARCH_WANT_HUGE_PMD_SHARE                 policy<{'amd64': 'y', 'arm64': 'y', 'arm64-azure-64k': '-'}>
+CONFIG_ARM64_4K_PAGES                           policy<{'arm64': 'y', 'arm64-azure-64k': 'n'}>
+CONFIG_ARM64_CONT_PMD_SHIFT                     policy<{'arm64': '4', 'arm64-azure-64k': '5'}>
+CONFIG_ARM64_CONT_PTE_SHIFT                     policy<{'arm64': '4', 'arm64-azure-64k': '5'}>
+CONFIG_ARM64_PAGE_SHIFT                         policy<{'arm64': '12', 'arm64-azure-64k': '16'}>
+CONFIG_ARM64_PA_BITS_52                         policy<{'arm64-azure-64k': 'n'}>
+CONFIG_ARM64_VA_BITS_39                         policy<{'arm64': 'n', 'arm64-azure-64k': '-'}>
+CONFIG_ARM64_VA_BITS_42                         policy<{'arm64-azure-64k': 'n'}>
+CONFIG_ARM64_VA_BITS_52                         policy<{'arm64-azure-64k': 'n'}>
 CONFIG_ARM_BRCMSTB_AVS_CPUFREQ                  policy<{'arm64': 'm'}>
 CONFIG_ARM_RASPBERRYPI_CPUFREQ                  policy<{'arm64': 'm'}>
 CONFIG_ARM_SCMI_POWERCAP                        policy<{'arm64': '-'}>
@@ -1852,7 +1871,7 @@ CONFIG_INFINIBAND_IPOIB_DEBUG_DATA              policy<{'amd64': 'y', 'arm64': '
 CONFIG_INFINIBAND_OCRDMA                        policy<{'amd64': 'n', 'arm64': 'm'}>
 CONFIG_INFINIBAND_QEDR                          policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_INFINIBAND_SRPT                          policy<{'amd64': 'n', 'arm64': 'm'}>
-CONFIG_INFINIBAND_VMWARE_PVRDMA                 policy<{'amd64': '-', 'arm64': 'm'}>
+CONFIG_INFINIBAND_VMWARE_PVRDMA                 policy<{'amd64': '-', 'arm64': 'm', 'arm64-azure-64k': '-'}>
 CONFIG_INFTL                                    policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_INLINE_READ_LOCK                         policy<{'arm64': 'y'}>
 CONFIG_INLINE_READ_LOCK_BH                      policy<{'arm64': 'y'}>
@@ -2309,6 +2328,8 @@ CONFIG_MEMSTICK_TIFM_MS                         policy<{'amd64': '-', 'arm64': '
 CONFIG_MEMSTICK_UNSAFE_RESUME                   policy<{'amd64': '-', 'arm64': 'n'}>
 CONFIG_MEN_Z188_ADC                             policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_MESON_EFUSE                              policy<{'arm64': '-'}>
+CONFIG_MESON_SECURE_PM_DOMAINS                  policy<{'arm64': 'y', 'arm64-azure-64k': '-'}>
+CONFIG_MESON_SM                                 policy<{'arm64': 'y', 'arm64-azure-64k': '-'}>
 CONFIG_MFD_88PM800                              policy<{'amd64': 'n', 'arm64': 'm'}>
 CONFIG_MFD_AAEON                                policy<{'amd64': '-'}>
 CONFIG_MFD_CROS_EC_DEV                          policy<{'amd64': '-', 'arm64': '-'}>
@@ -2695,8 +2716,10 @@ CONFIG_NS83820                                  policy<{'amd64': '-', 'arm64': '
 CONFIG_NTB_PERF                                 policy<{'amd64': 'n', 'arm64': 'm'}>
 CONFIG_NTB_PINGPONG                             policy<{'amd64': 'n', 'arm64': 'm'}>
 CONFIG_NTB_TOOL                                 policy<{'amd64': 'n', 'arm64': 'm'}>
+CONFIG_NTFS_RW                                  policy<{'amd64': 'n', 'arm64': 'n', 'arm64-azure-64k': '-'}>
 CONFIG_NVIDIA_SHIELD_FF                         policy<{'amd64': '-', 'arm64': 'y'}>
 CONFIG_NVMEM_BCM_OCOTP                          policy<{'arm64': 'm'}>
+CONFIG_NVMEM_MESON_EFUSE                        policy<{'arm64': 'm', 'arm64-azure-64k': '-'}>
 CONFIG_NVMEM_RAVE_SP_EEPROM                     policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_NVMEM_SPMI_SDAM                          policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_NVME_AUTH                                policy<{'amd64': 'y', 'arm64': 'y'}>
@@ -2717,6 +2740,7 @@ CONFIG_P54_SPI                                  policy<{'amd64': '-', 'arm64': '
 CONFIG_P54_SPI_DEFAULT_EEPROM                   policy<{'amd64': '-', 'arm64': 'n'}>
 CONFIG_P54_USB                                  policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_PA12203001                               policy<{'amd64': '-', 'arm64': 'm'}>
+CONFIG_PAGE_SIZE_LESS_THAN_64KB                 policy<{'amd64': 'y', 'arm64': 'y', 'arm64-azure-64k': '-'}>
 CONFIG_PALMAS_GPADC                             policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_PANTHERLORD_FF                           policy<{'amd64': '-', 'arm64': 'y'}>
 CONFIG_PARAVIRT_XXL                             policy<{'amd64': '-'}>
@@ -2749,6 +2773,7 @@ CONFIG_PDA_POWER                                policy<{'amd64': '-', 'arm64': '
 CONFIG_PDS_CORE                                 policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_PDS_VDPA                                 policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_PDS_VFIO_PCI                             policy<{'amd64': '-', 'arm64': 'm'}>
+CONFIG_PGTABLE_LEVELS                           policy<{'amd64': '5', 'arm64': '4', 'arm64-azure-64k': '3'}>
 CONFIG_PHY_BCM_NS_USB2                          policy<{'arm64': 'm'}>
 CONFIG_PHY_BCM_NS_USB3                          policy<{'arm64': 'm'}>
 CONFIG_PHY_BCM_SR_PCIE                          policy<{'arm64': 'm'}>
@@ -4336,6 +4361,7 @@ CONFIG_THINKPAD_ACPI_DEBUGFACILITIES            policy<{'amd64': '-'}>
 CONFIG_THINKPAD_ACPI_HOTKEY_POLL                policy<{'amd64': '-'}>
 CONFIG_THINKPAD_ACPI_UNSAFE_LEDS                policy<{'amd64': '-'}>
 CONFIG_THINKPAD_ACPI_VIDEO                      policy<{'amd64': '-'}>
+CONFIG_THP_SWAP                                 policy<{'amd64': 'y', 'arm64': 'y', 'arm64-azure-64k': '-'}>
 CONFIG_THRUSTMASTER_FF                          policy<{'amd64': '-', 'arm64': 'y'}>
 CONFIG_THUNDER_NIC_BGX                          policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_THUNDER_NIC_PF                           policy<{'amd64': '-', 'arm64': 'm'}>
@@ -5137,7 +5163,7 @@ CONFIG_VIRT_WIFI                                policy<{'amd64': '-', 'arm64': '
 CONFIG_VL53L0X_I2C                              policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_VL6180                                   policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_VME_USER                                 policy<{'amd64': 'n', 'arm64': 'm'}>
-CONFIG_VMXNET3                                  policy<{'amd64': 'n', 'arm64': 'm'}>
+CONFIG_VMXNET3                                  policy<{'amd64': 'n', 'arm64': 'm', 'arm64-azure-64k': '-'}>
 CONFIG_VORTEX                                   policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_VT6656                                   policy<{'amd64': '-', 'arm64': 'm'}>
 CONFIG_VXLAN                                    policy<{'amd64': 'y', 'arm64': 'm'}>
diff --git a/debian.azure/control.d/azure-64k.inclusion-list b/debian.azure/control.d/azure-64k.inclusion-list
new file mode 100644
index 000000000000..b5d02760e6a8
--- /dev/null
+++ b/debian.azure/control.d/azure-64k.inclusion-list
@@ -0,0 +1,275 @@
+arch/*/{crypto,kernel,oprofile}
+arch/*/kvm/kvm.ko
+arch/powerpc/kvm/kvm-hv.ko
+arch/powerpc/kvm/kvm-pr.ko
+arch/powerpc/kvm/vfio.ko
+arch/powerpc/platforms/powernv/opal-prd.ko
+arch/s390/*
+arch/x86/kvm/kvm-amd.ko
+arch/x86/kvm/kvm-intel.ko
+block/bfq.ko
+block/cfq-iosched.ko
+block/deadline-iosched.ko
+block/kyber-iosched.ko
+block/mq-deadline.ko
+crypto/*
+drivers/acpi/*
+drivers/ata/acard-ahci.ko
+drivers/ata/ahci.ko
+drivers/ata/ahci_platform.ko
+drivers/ata/ata_generic.ko
+drivers/ata/libahci.ko
+drivers/ata/libahci_platform.ko
+drivers/ata/pata_acpi.ko
+drivers/block/brd.ko
+drivers/block/cryptoloop.ko
+drivers/block/drbd/drbd.ko
+drivers/block/floppy.ko
+drivers/block/loop.ko
+drivers/block/nbd.ko
+drivers/block/rbd.ko
+drivers/block/virtio_blk.ko
+drivers/block/xen-blkfront.ko
+drivers/catapult/catapult.ko
+drivers/char/hangcheck-timer.ko
+drivers/char/hw_random/powernv-rng.ko
+drivers/char/hw_random/virtio-rng.ko
+drivers/char/ipmi/*
+drivers/char/ipmi/ipmi_msghandler.ko
+drivers/char/lp.ko
+drivers/char/nvram.ko
+drivers/char/ppdev.ko
+drivers/char/raw.ko
+drivers/char/virtio_console.ko
+drivers/crypto/nx/*
+drivers/crypto/vmx/vmx-crypto.ko
+drivers/firmware/efi/*
+drivers/firmware/iscsi_ibft.ko
+drivers/fpga/*
+drivers/gpu/drm/ast/ast.ko
+drivers/gpu/drm/drm_kms_helper.ko
+drivers/gpu/drm/drm.ko
+drivers/gpu/drm/hyperv/hyperv_drm.ko
+drivers/gpu/drm/ttm/ttm.ko
+drivers/hid/hid-generic.ko
+drivers/hid/hid-hyperv.ko
+drivers/hid/hid.ko
+drivers/hid/usbhid/usbhid.ko
+drivers/hv/*
+drivers/hwmon/ibmpowernv.ko
+drivers/i2c/busses/i2c-piix4.ko
+drivers/infiniband/core/ib_addr.ko
+drivers/infiniband/core/ib_cm.ko
+drivers/infiniband/core/ib_core.ko
+drivers/infiniband/core/ib_mad.ko
+drivers/infiniband/core/ib_sa.ko
+drivers/infiniband/core/ib_umad.ko
+drivers/infiniband/core/iw_cm.ko
+drivers/infiniband/core/rdma_cm.ko
+drivers/infiniband/core/rdma_ucm.ko
+drivers/infiniband/hw/mlx4/*
+drivers/infiniband/hw/mlx5/*
+drivers/infiniband/hw/vmbus-rdma/*
+drivers/infiniband/ulp/ipoib/ib_ipoib.ko
+drivers/infiniband/ulp/iser/ib_iser.ko
+drivers/infiniband/ulp/isert/ib_isert.ko
+drivers/input/evbug.ko
+drivers/input/gameport/gameport.ko
+drivers/input/input-leds.ko
+drivers/input/joydev.ko
+drivers/input/misc/xen-kbdfront.ko
+drivers/input/mouse/psmouse.ko
+drivers/input/serio/hyperv-keyboard.ko
+drivers/input/serio/serio_raw.ko
+drivers/input/serio/serport.ko
+drivers/input/touchscreen/usbtouchscreen.ko
+drivers/leds/leds-powernv.ko
+drivers/md/*
+drivers/message/fusion*
+drivers/misc/cxl/*
+drivers/misc/eeprom/at24.ko
+drivers/misc/vmw_balloon.ko
+drivers/misc/vmw_vmci/vmw_vmci.ko
+drivers/mtd/cmdlinepart.ko
+drivers/mtd/devices/powernv_flash.ko
+drivers/mtd/ofpart.ko
+drivers/net/appletalk/ipddp.ko
+drivers/net/bonding/bonding.ko
+drivers/net/caif/caif_virtio.ko
+drivers/net/dummy.ko
+drivers/net/eql.ko
+drivers/net/ethernet/8390/8390.ko
+drivers/net/ethernet/8390/ne2k-pci.ko
+drivers/net/ethernet/amazon/ena/ena.ko
+drivers/net/ethernet/amd/pcnet32.ko
+drivers/net/ethernet/broadcom/bnx2x/*
+drivers/net/ethernet/broadcom/tg3.ko
+drivers/net/ethernet/dec/tulip/*
+drivers/net/ethernet/emulex/benet/*
+drivers/net/ethernet/ibm/*
+drivers/net/ethernet/intel/e1000/e1000.ko
+drivers/net/ethernet/intel/e1000e/e1000e.ko
+drivers/net/ethernet/intel/i40e/*
+drivers/net/ethernet/intel/igb/*
+drivers/net/ethernet/intel/igbvf/igbvf.ko
+drivers/net/ethernet/intel/ixgbe/*
+drivers/net/ethernet/intel/ixgbevf/ixgbevf.ko
+drivers/net/ethernet/mellanox/*
+drivers/net/ethernet/realtek/8139cp.ko
+drivers/net/ethernet/realtek/8139too.ko
+drivers/net/fddi/*
+drivers/net/geneve.ko
+drivers/net/hyperv/hv_netvsc.ko
+drivers/net/ifb.ko
+drivers/net/ipvlan/*
+drivers/net/macvlan.ko
+drivers/net/macvtap.ko
+drivers/net/mii.ko
+drivers/net/netconsole.ko
+drivers/net/ppp/*
+drivers/net/ppp/bsd_comp.ko
+drivers/net/slip/*
+drivers/net/veth.ko
+drivers/net/virtio_net.ko
+drivers/net/vmxnet3/vmxnet3.ko
+drivers/net/vxlan.ko
+drivers/net/wireguard/wireguard.ko
+drivers/net/xen-netback/*
+drivers/net/xen-netfront.ko
+drivers/nvme/host/nvme.ko
+drivers/nvmem/nvmem_core.ko
+drivers/parport/parport.ko
+drivers/parport/parport_pc.ko
+drivers/pci/controller/pci-hyperv.ko
+drivers/platform/x86/pvpanic.ko
+drivers/pps/pps_core.ko
+drivers/ptp/ptp.ko
+drivers/s390/*
+drivers/s390/block/xpram.ko
+drivers/scsi/aacraid/*
+drivers/scsi/BusLogic.ko
+drivers/scsi/cxlflash/*
+drivers/scsi/device_handler/scsi_dh_alua.ko
+drivers/scsi/device_handler/scsi_dh_emc.ko
+drivers/scsi/device_handler/scsi_dh_hp_sw.ko
+drivers/scsi/device_handler/scsi_dh_rdac.ko
+drivers/scsi/hv_storvsc.ko
+drivers/scsi/ibmvscsi/*
+drivers/scsi/ipr.ko
+drivers/scsi/iscsi_boot_sysfs.ko
+drivers/scsi/iscsi_tcp.ko
+drivers/scsi/libiscsi.ko
+drivers/scsi/libiscsi_tcp.ko
+drivers/scsi/libsas/*
+drivers/scsi/lpfc/*
+drivers/scsi/megaraid/*
+drivers/scsi/mpt3sas/*
+drivers/scsi/osd/libosd.ko
+drivers/scsi/osd/osd.ko
+drivers/scsi/qla1280.ko
+drivers/scsi/qla2xxx/*
+drivers/scsi/raid_class.ko
+drivers/scsi/scsi_transport_fc.ko
+drivers/scsi/scsi_transport_iscsi.ko
+drivers/scsi/scsi_transport_sas.ko
+drivers/scsi/scsi_transport_spi.ko
+drivers/scsi/sd_mod.ko
+drivers/scsi/sr_mod.ko
+drivers/scsi/virtio_scsi.ko
+drivers/scsi/vmw_pvscsi.ko
+drivers/target/loopback/tcm_loop.ko
+drivers/target/target_core*.ko
+drivers/tty/serial/jsm/*
+drivers/uio/uio_hv_generic.ko
+drivers/uio/uio.ko
+drivers/uio/uio_pci_generic.ko
+drivers/uio/uio_pdrv_genirq.ko
+drivers/usb/host/*
+drivers/usb/storage/uas.ko
+drivers/usb/storage/usb-storage.ko
+drivers/vfio/*
+drivers/vhost/*
+! find drivers/video/fbdev -name "*.ko" | grep -v hyperv_fb
+drivers/video/vgastate.ko
+drivers/virtio/*
+drivers/watchdog/softdog.ko
+drivers/xen/*
+! find sound/core -name oss -prune -o -name *.ko -print
+fs/9p/*
+fs/aufs/aufs.ko
+fs/autofs/autofs4.ko
+fs/binfmt_misc.ko
+fs/btrfs/*
+fs/cachefiles/cachefiles.ko
+fs/ceph/*
+fs/configfs/*
+fs/dlm/dlm.ko
+fs/ecryptfs/*
+fs/efivarfs/*
+fs/exofs/libore.ko
+fs/ext4/*
+fs/fat/*
+fs/fscache/*
+fs/fuse/*
+fs/isofs/*
+fs/lockd/*
+fs/nfs/*
+fs/nfs_common/*
+fs/nfsd/*
+fs/nls/nls_cp437.ko
+fs/nls/nls_iso8859-1.ko
+fs/nls/nls_utf8.ko
+fs/overlayfs/*
+fs/smb/*
+fs/squashfs/*
+fs/udf/*
+fs/ufs/*
+fs/xfs/*
+lib/*
+net/6lowpan/*
+net/802/*
+net/8021q/*
+net/9p/*
+net/appletalk/*
+net/atm/*
+net/ax25/*
+net/bpfilter/bpfilter.ko
+net/bridge/*
+net/can/*
+net/ceph/libceph.ko
+net/core/*
+net/dccp/*
+net/decnet/*
+net/ieee802154/*
+net/ipv4/*
+net/ipv6/*
+net/ipx/*
+net/irda/*
+net/key/*
+net/lapb/*
+net/llc/*
+net/netfilter/*
+net/netlink/netlink_diag.ko
+net/netrom/*
+net/openvswitch/*
+net/packet/af_packet_diag.ko
+net/phonet/*
+net/rose/*
+net/rxrpc/*
+net/sched/*
+net/sctp/*
+net/sunrpc/auth_gss/auth_rpcgss.ko
+net/sunrpc/auth_gss/rpcsec_gss_krb5.ko
+net/sunrpc/sunrpc.ko
+net/tipc/*
+net/unix/unix_diag.ko
+net/vmw_vsock/*
+net/x25/*
+net/xfrm/*
+sound/drivers/pcsp/snd-pcsp.ko
+sound/pci/snd-ens1370.ko
+sound/soundcore.ko
+ubuntu/vbox/vboxguest/vboxguest.ko
+ubuntu/vbox/vboxsf/vboxsf.ko
+zfs/*
+ubuntu/ubuntu-host/ubuntu-host.ko
diff --git a/debian.azure/control.d/vars.azure-64k b/debian.azure/control.d/vars.azure-64k
new file mode 100644
index 000000000000..1932ec600b5a
--- /dev/null
+++ b/debian.azure/control.d/vars.azure-64k
@@ -0,0 +1,6 @@
+arch="arm64"
+supported="Azure"
+target="Geared toward Azure systems."
+desc="=HUMAN= SMP"
+bootloader="grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | flash-kernel [arm64] | grub-efi-arm64 [arm64]"
+provides="kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64]"
diff --git a/debian.azure/rules.d/arm64.mk b/debian.azure/rules.d/arm64.mk
index 05f003150811..62fb66a08d26 100644
--- a/debian.azure/rules.d/arm64.mk
+++ b/debian.azure/rules.d/arm64.mk
@@ -2,7 +2,7 @@ human_arch	= ARMv8
 build_arch	= arm64
 header_arch	= arm64
 defconfig	= defconfig
-flavours	= azure
+flavours	= azure azure-64k
 build_image	= Image.gz
 kernel_file	= arch/$(build_arch)/boot/Image.gz
 install_file	= vmlinuz